Bug 144864 - can't print, ghostscript can't open scratch file
can't print, ghostscript can't open scratch file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 21:04 EST by Christopher J. Bottaro
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 10:55:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups error log (20.13 KB, text/plain)
2005-01-11 21:05 EST, Christopher J. Bottaro
no flags Details

  None (edit)
Description Christopher J. Bottaro 2005-01-11 21:04:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Well, from the error log, it seems ghostscript is messing up, but I was told to file this report under foomatic.

Trying to print anything results in the following errors:

D [11/Jan/2005:19:37:10 -0600] [Job 1] GNU Ghostscript 7.07: Could not open 
the scratch file /var/spool/cups/tmp/gs_YHvM9h.
D [11/Jan/2005:19:37:10 -0600] [Job 1] **** Unable to open the initial device, 
quitting.
D [11/Jan/2005:19:37:10 -0600] [Job 1] renderer return value: 1
D [11/Jan/2005:19:37:10 -0600] [Job 1] renderer received signal: 1
D [11/Jan/2005:19:37:10 -0600] [Job 1] Process dying with "Possible error on 
renderer command line or PostScript error. Check options.", exit stat: 3


After the print command fails, "ls /var/spool/cups/tmp/" shows nothing.  I don't know if cups cleans up the scratch file dir or if the reason why ghostscript failed is because there was no scratch file there.

The complete log is attached in the comment that follows.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
Setup Epson Stylus Photo R200 and try to print a test page.

Additional info:
Comment 1 Christopher J. Bottaro 2005-01-11 21:05:33 EST
Created attachment 109654 [details]
cups error log
Comment 2 Tim Waugh 2005-01-12 04:13:32 EST
What do these commands say?:

rpm -q cups
rpm -V cups
Comment 3 Christopher J. Bottaro 2005-01-12 10:54:35 EST
[root@tapu ~]# rpm -q cups 
cups-1.1.22-0.rc1.8.2 
 
[root@tapu ~]# rpm -V cups 
.M...... /etc/cups 
S.5....T c /etc/cups/cupsd.conf 
S.5....T c /etc/cups/printers.conf 
.M5....T c /etc/xinetd.d/cups-lpd 
missing /var/spool/cups/tmp 
 
Thanks for the help. 
Comment 4 Christopher J. Bottaro 2005-01-12 11:40:53 EST
I created /var/spool/cups/tmp, but still got an error:  
D [12/Jan/2005:10:17:06 -0600] [Job 3] sh: ijsgimpprint: command not found  
D [12/Jan/2005:10:17:06 -0600] [Job 3] GNU Ghostscript 7.07: Can't start ijs   
server "ijsgimpprint"  
D [12/Jan/2005:10:17:06 -0600] [Job 3] **** Unable to open the initial device,   
quitting. 
  
I installed gimp-print and that fixed the problem.  Shouldn't there be some  
kind of dependency on gimp-print for cups in the yum repos?  Also, why didn't 
the cups rpm create /var/spool/cups/tmp?  Oh well, its working now. 

Note You need to log in before you can comment on or make changes to this bug.